#if defined (__AVR_ATmega32__) || defined (__AVR_ATmega644P__)
    #define DIGIT_PORT      PORTA
    #define DIGIT_DIR       DDRA
    #define DIGIT1          (1 << PA2)
    #define DIGIT2          (1 << PA3)
    #define DIGIT3          (1 << PA4)
    #define DIGIT4          (1 << PA5)
#elif defined (__AVR_ATmega8__) || defined (__AVR_ATmega168__)
    #define DIGIT_PORT      PORTC
    #define DIGIT_DIR       DDRC
    #define DIGIT4          (1 << PC2)
    #define DIGIT3          (1 << PC3)
    #define DIGIT2          (1 << PC4)
    #define DIGIT1          (1 << PC5)
#else
#  error "processor type not defined in Led_Display.h"
#endif

#define ALL_DIGITS      (DIGIT1 | DIGIT2 | DIGIT3 | DIGIT4)

#define DISP_PORT       PORTD
#define DISP_DIR        DDRD

#define ALL_SEGMENTS    127

#define Convert_Seg( zahl )    pgm_read_byte( &conv_tab[ zahl ] )
