#if defined (__AVR_ATmega32__) || defined (__AVR_ATmega644P__)
    #define	IO_DIR		    DDRA
    #define	IO_PORT         PORTA
    #define OUTPUT          (1 << PA0)
    #define SUMMER          (1 << PA1)
#elif defined (__AVR_ATmega8__) || defined (__AVR_ATmega168__)
    #define	IO_DIR		    DDRC
    #define	IO_PORT         PORTC
    #define OUTPUT          (1 << PC1)
    #define SUMMER          (1 << PC0)
#else
#  error "processor type not defined in main.h"
#endif

#define SEGMENTDRIVER             // z.B. ULN2003 etc.

unsigned char minuten_zehner;
unsigned char minuten_einer;
unsigned char sekunden_zehner;
unsigned char sekunden_einer;
unsigned char i;
unsigned int time;
unsigned int preset_time;
unsigned int compare;

volatile unsigned char count_down;
volatile unsigned char beeptimer;

